### 1. Reciklirajmo otpad - osnovno
### --- Upute! Ponijeti naranču i bocu vode! ----
### Ne zaboravi ponijeti naranču i bocu vode,
### objekte koje ćemmo detektirati putem kamere
### --- Upute! PictoBlox proširenja! ----
### Nije potrebno učitavati "PictoBlox proširenja", ona će se automatski
### učitati prilikom pokretanja programa

# Sprite će se automatski prikazati prilikom pokretanja novog programa
square = Sprite('Square Box')

# PictoBlox proširenja
od = ObjectDetection()
ts = TexttoSpeech()

import time

# Upali kameru (netransparentno)
od.video("on", 1)
# Isključuje automatsko prikazivanje okvira prilikom detekcije objekata na kameri 
od.disablebox()
# Postavi prag za pouzdanost detekcije objekta
od.setthreshold(0.5)

while True:
  # Započni analizu ulazne fotografije s kamere
  od.analysecamera()
  # Postavi sprite na sredinu prozora
  square.gotoxy(0, 0)
  # Postavi veličinu sprite 
  square.setsize(100)
  # Govori nam koliko objekta je prepoznato
  square.say("I have detected " + str(od.count()) + " object(s)", 2 )

  for object in range(1, od.count() + 1):
    # Vrati x poziciju objekta
    square.setx(od.x(object))
    # Vrati y poziciju objekta
    square.sety(od.y(object))
    # Postavi veličinu sprite na osnovi veličine objekta koji je detektiran
    square.setsize(od.width(object))
    # Reci nam kako se zove klasa analiziranog objeta i koliko je pouzdano da je to istinto (u %)
    square.say(od.classname(object) + " with " + str(od.confidence(object)) + " accuracy", 2)

    # Ako u analizi dobijemo klasu naziva: naranca
    if od.isdetected('orange'):
        ts.speak("This is an:" + od.classname(object))
        ts.speak("Biodegradable Waste")
        ts.speak("If you're not going to eat it, dispose it in the brown bin.")
        ts.speak("Let's protect the Earth.")
        
    # Ako u analizi dobijemo klasu naziva: boca  
    if od.isdetected('bottle'):
        ts.speak("This is a:" + od.classname(object))
        ts.speak("Non Biodegradable Waste")
        ts.speak("If it has a refund, you can return it and get money for it.")
        ts.speak("Otherwise, dispose it in the yellow bin")
        ts.speak("Let's protect the Earth.")
  
  time.sleep(2)